1.0
1.0
get /v1/logs
Description
get log list
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | start_at required | Query start date Example : 2025-08-09T10:00:00Z | any of [string, null] | None |
| query | end_at required | Query finish date Example : 2025-11-07T10:00:00Z | any of [string, null] | None |
| query | resource_id optional | Resource ID Example : | any of [string, null] | None |
| query | resource_name optional | Resource name Example : | any of [string, null] | None |
| query | resource_type optional | Resource type Example : | any of [string, null] | None |
| query | product_name optional | Product name Example : | any of [string, null] | None |
| query | product_type optional | Product type Example : | any of [string, null] | None |
| query | status optional | Task result Example : | any of [string, null] | None |
| query | event_type optional | Event type Example : | any of [string, null] | None |
| query | user_id optional | User ID Example : | any of [string, null] | None |
| query | user_name optional | Username Example : | any of [string, null] | None |
| query | region optional | Region name Example : | any of [string, null] | None |
| query | root_resource_id optional | Root resource ID Example : | any of [string, null] | None |
| query | service_type optional | Service type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs?start_at={start_at}&end_at={end_at}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"count": 20,
"logs": [
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"event_name": "scp-extension.event.create",
"event_type": "scp-extension.event.create",
"id": "ID-A1B2C3D4E5F6G7H8I9J0",
"product_name": "scp-extension",
"product_type": "scp-extension",
"region": "RegionOne",
"request_user_name": "Hong Gildong",
"resource_id": "RESOURCE_ID-ABCDEF1234",
"resource_name": "RESOURCE_NAME-ABCDEF1234",
"resource_type": "scp-extension",
"role_name": "Tester",
"status": "Success",
"timestamp": "2025-11-07T10:00:00Z",
"type": "ROLE",
"user_id": "USER_ID-ABCDEF1234"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}